<?php declare(strict_types=1);

namespace App\Captcha\Dto;

final readonly class Image
{
    public function __construct(
        private string $imageBase64,
        private int $width,
        private int $height
    ) { }

    /**
     * @return string
     */
    public function getImageBase64(): string
    {
        return $this->imageBase64;
    }

    /**
     * @return int
     */
    public function getWidth(): int
    {
        return $this->width;
    }

    /**
     * @return int
     */
    public function getHeight(): int
    {
        return $this->height;
    }
}
